package gabriel.proyecto;

import android.content.Context;
import android.location.Location;
import android.location.LocationListener;
import android.os.Bundle;
import android.widget.Toast;

public class MyLocationListener implements LocationListener

{
	Context c;
	boolean encontrada;
	XmlProyecto proyecto;

	//Clase para escuchar los cambios en la posicion GPS
	public MyLocationListener(Context c,XmlProyecto xmlP) {
		super();
		this.c = c;
		encontrada = false;
		this.proyecto=xmlP;
	}

	public boolean Encontrada(){
		
		return this.encontrada;
	}
	
	@Override
	public void onLocationChanged(Location loc)

	{
		if (!encontrada) {
			loc.getLatitude();

			loc.getLongitude();

			String Text = "Localizacion aadida: " +

			"Lat = " + loc.getLatitude() +

			"Long = " + loc.getLongitude();

			Toast.makeText(c.getApplicationContext(),

			Text,

			Toast.LENGTH_SHORT).show();
			encontrada=true;
			this.proyecto.escribirPosicion("Latitud: "+loc.getLatitude()+" Longitud: "+loc.getLongitude());
		}
		

	
	}

	@Override
	public void onProviderDisabled(String provider)

	{

	}

	@Override
	public void onProviderEnabled(String provider)

	{

	}

	@Override
	public void onStatusChanged(String provider, int status, Bundle extras)

	{

	}

}
