package gabriel.proyecto.imagenes;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;

public class DrawCanvasCircle extends View{
	 /**
	 * @uml.property  name="x"
	 */
	private  float x;
	 /**
	 * @uml.property  name="y"
	 */
	private  float y;
	 /**
	 * @uml.property  name="r"
	 */
	private  int radio;
	 /**
	 * @uml.property  name="mPaint"
	 * @uml.associationEnd  multiplicity="(1 1)"
	 */
	private final Paint mPaint = new Paint(Paint.ANTI_ALIAS_FLAG);
	
	/**
	 * @uml.property  name="colores" multiplicity="(0 -1)" dimension="1"
	 */
	private int[] colores={Color.WHITE,Color.RED,Color.YELLOW,Color.GREEN};
	 
    public DrawCanvasCircle(Context context, float x, float y, int r,int alpha,int color) {
        super(context);
      
        mPaint.setColor(colores[color]);
        mPaint.setAlpha(alpha);
        
        this.x = x;
        this.y = y;
        this.radio = r;
       
    
    }
    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.drawCircle(x, y, radio, mPaint);
    }
    
  

}
